pbs_dtj(8B)

NAME
pbs_dtj - gather log information for a PBS job, from all vnodes where job ran

SYNOPSIS
pbs_dtj [-n <days>] [-r <remote command>] [-s <server name>]
[-u <username>] <job ID>

DESCRIPTION
The pbs_dtj (Distributed TraceJob) command enables you to gather tracejob information from all of the vnodes where a PBS Professional job ran. The script uses rsh to connect to the nodes by default, though it will check the pbs.conf file to see whether PBS_SCP is set, and use ssh in that case. The script first performs a tracejob on the PBS server system. It then extracts from that information which vnodes the job actually ran on, then performs the tracejob on those vnodes. The pbs_dtj command uses the following set of rules to determine server name, in order of precedence, highest first:
    1. Use name specified in -s option
    2. Use PBS_PRIMARY setting in pbs.conf
    3. Use PBS_SERVER_HOST_NAME setting in pbs.conf
    4. Use PBS_SERVER setting in pbs.conf

PERMISSIONS
Because pbs_dtj uses rsh or ssh to connect, it is assumed that the user running the script has passwordless remote access to the vnodes.

OPTIONS

-n <days>
    Specifies the number of days of log files to query. The default number of days of log files that pbs_dtj queries is 3 days.

-r <remote command>
    Overrides the rsh or ssh settings for PBS_SCP in pbs.conf. Anything can be used here as long as it allows "remote command username@remotehost command" rsh-like syntax.

-s <server name>
    Specifies server host name. Overrides any other server host name settings.

-u <username>
    Specifies a username under which to run. This option is useful if you are running the script as root, but you do not have passwordless remote access set up for the root account. You can specify a different username here to be used when connecting to the remote vnodes.

OUTPUT
All output goes to stdout.

EXIT STATUS
Zero upon successful processing of all options.

Exit value is greater than zero if pbs_dtj is unable to process any options.

SEE ALSO
tracejob(8B)